Closed Bug 1547098 Opened 8 months ago Closed 8 months ago

Limit the height of code in Markdown so the horizontal scrollbar can be found and used easily

Categories

(bugzilla.mozilla.org :: User Interface, enhancement)

Production
enhancement
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: kohei, Unassigned)

Details

Attachments

(2 files)

Pinged by :erahm on IRC. Currently the Intermittent Bug Filler explicitly disables Markdown when filing a bug, but they want to enable it. For example Bug 1547005 will look like below. The problem is it’s difficult to find and use the horizontal scrollbar because it goes below the fold. We need a workaround so the scrollbar will always be visible in the viewport.


Filed by: btara [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=242591287&repo=autoland
Full log: https://queue.taskcluster.net/v1/task/IloalsCSQj6alGFylWpjqg/runs/0/artifacts/public/logs/live_backing.log


14:13:20 INFO - TEST-START | devtools/client/netmonitor/test/browser_net_truncate-post-data.js
14:13:31 INFO - GECKO(6060) | console.error: "out of memory"
14:13:31 INFO - GECKO(6060) | console.error: "out of memory"
14:13:31 INFO - GECKO(6060) | console.error: "out of memory"
14:13:31 INFO - GECKO(6060) | console.error: "out of memory"
14:13:31 INFO - GECKO(6060) | console.error: "out of memory"
....
14:13:31 INFO - GECKO(6060) | console.error: "out of memory"
14:13:31 INFO - GECKO(6060) | console.error: "out of memory: undefined"
14:13:31 INFO - GECKO(6060) | out of memory: undefined
14:13:32 INFO - TEST-INFO | started process screenshot
14:13:32 INFO - TEST-INFO | screenshot: exit 0
14:13:32 INFO - Buffered messages logged at 14:13:20
14:13:32 INFO - Entering test bound
14:13:32 INFO - Initializing a network monitor pane.
14:13:32 INFO - Adding a new tab with URL: http://example.com/browser/devtools/client/netmonitor/test/html_post-json-test-page.html
14:13:32 INFO - Tab added and finished loading
14:13:32 INFO - Net tab added successfully: http://example.com/browser/devtools/client/netmonitor/test/html_post-json-test-page.html
14:13:32 INFO - Network monitor pane shown successfully.
14:13:32 INFO - Disabling cache and reloading page.
14:13:32 INFO - Got marker: dom-interactive
14:13:32 INFO - Got marker: dom-complete
14:13:32 INFO - Got two timeline markers, done waiting
14:13:32 INFO - Request server1.conn118.netEvent4 for http://example.com/browser/devtools/client/netmonitor/test/html_post-json-test-page.html done
14:13:32 INFO - All requests finished
14:13:32 INFO - Cache disabled when the current and all future toolboxes are open.
14:13:32 INFO - TEST-PASS | devtools/client/netmonitor/test/browser_net_truncate-post-data.js | Request to reconfigure the tab was recorded. -
14:13:32 INFO - Clearing requests in the console client.
14:13:32 INFO - Clearing requests in the UI.
14:13:32 INFO - Starting test...
14:13:32 INFO - Perform requests
14:13:32 INFO - Console message: [JavaScript Warning: "Relative positioning of table rows and row groups is now supported. This site may need to be updated because it may depend on this feature having no effect." {file: "resource://devtools/client/netmonitor/src/components/RequestListHeader.js" line: 423}]
14:13:32 INFO - > Network event progress: NetworkEvent: 1/1, PayloadReady: 0/1, got NetMonitor:NetworkEvent for server1.conn118.netEvent23
14:13:32 INFO - Buffered messages logged at 14:13:21
14:13:32 INFO - > Network event progress: NetworkEvent: 1/1, PayloadReady: 1/1, got NetMonitor:PayloadReady for server1.conn118.netEvent23
14:13:32 INFO - Buffered messages finished
14:13:32 INFO - TEST-UNEXPECTED-FAIL | devtools/client/netmonitor/test/browser_net_truncate-post-data.js | Uncaught exception - out of memory
14:13:32 INFO - Leaving test bound
....
14:16:30 INFO - Console message: [JavaScript Error: "Polling for changes failed: Unexpected content-type "text/html;charset=utf-8"." {file: "resource://services-settings/remote-settings.js" line: 208}]
14:16:30 INFO - remoteSettingsFunction/remoteSettings.pollChanges@resource://services-settings/remote-settings.js:208:13
14:16:30 INFO - async*notify@resource://services-settings/RemoteSettingsComponents.jsm:22:20
14:16:30 INFO - TM_notify/<@resource://gre/modules/UpdateTimerManager.jsm:192:48
14:16:30 INFO - TM_notify@resource://gre/modules/UpdateTimerManager.jsm:239:7
14:16:30 INFO -
14:22:40 INFO - Buffered messages finished
14:22:40 ERROR - TEST-UNEXPECTED-TIMEOUT | devtools/client/netmonitor/test/browser_net_truncate-post-data.js | application timed out after 370 seconds with no output
14:22:40 ERROR - Force-terminating active process(es).
14:22:40 INFO - Determining child pids from psutil...
14:22:40 INFO - [3724]
14:22:40 INFO - ==> process 3724 launched child process 3936 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.0.1430402521\1624565365" -childID 1 -isForBrowser -prefsHandle 2072 -prefMapHandle 2068 -prefsLen 1 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 2160 tab)
14:22:40 INFO - ==> process 3724 launched child process 4396 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.6.257124012\951903030" -childID 2 -isForBrowser -prefsHandle 2040 -prefMapHandle 2356 -prefsLen 159 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 2368 tab)
14:22:40 INFO - ==> process 3724 launched child process 5628 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.12.226509900\1206515376" -childID 3 -isForBrowser -prefsHandle 2384 -prefMapHandle 2532 -prefsLen 159 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 2544 tab)
14:22:40 INFO - ==> process 3724 launched child process 2796 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.18.2079151045\70235511" -childID 4 -isForBrowser -prefsHandle 3424 -prefMapHandle 3428 -prefsLen 8936 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 3440 tab)
14:22:40 INFO - ==> process 3724 launched child process 2512 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.24.235269605\1050090117" -childID 5 -isForBrowser -prefsHandle 3596 -prefMapHandle 3452 -prefsLen 10533 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 3704 tab)
14:22:40 INFO - ==> process 3724 launched child process 5216 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.30.1288016320\1674907447" -childID 6 -isForBrowser -prefsHandle 4064 -prefMapHandle 4004 -prefsLen 10250 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 4056 tab)
14:22:40 INFO - ==> process 3724 launched child process 4972 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.36.76818655\273118321" -childID 7 -isForBrowser -prefsHandle 3792 -prefMapHandle 3796 -prefsLen 10859 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 4056 tab)
14:22:40 INFO - ==> process 3724 launched child process 1720 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.42.1100935309\1438212729" -childID 8 -isForBrowser -prefsHandle 4376 -prefMapHandle 4372 -prefsLen 10250 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 4432 tab)
14:22:40 INFO - ==> process 3724 launched child process 1712 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.48.180414148\986590309" -childID 9 -isForBrowser -prefsHandle 4092 -prefMapHandle 3796 -prefsLen 10859 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 4504 tab)
14:22:40 INFO - ==> process 3724 launched child process 2076 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.54.984167323\1121088475" -childID 10 -isForBrowser -prefsHandle 4724 -prefMapHandle 4720 -prefsLen 10250 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 4520 tab)
14:22:40 INFO - Found child pids: set([3936, 5216, 3724, 2796, 4396, 2076, 2512, 4972, 1720, 1712, 5628])
14:22:40 INFO - Killing process: 3936
...
14:22:41 INFO - Not taking screenshot here: see the one that was previously logged
14:22:41 WARNING - mozcrash kill_pid(): unable to terminate pid 6060: 5
14:22:41 INFO - psutil found pid 6060 dead
14:22:41 INFO - TEST-INFO | Main app process: exit 1
14:22:41 INFO - Buffered messages finished
14:22:41 ERROR - TEST-UNEXPECTED-FAIL | devtools/client/netmonitor/test/browser_net_truncate-post-data.js | application terminated with exit code 1
14:22:41 INFO - runtests.py | Application ran for: 0:12:41.442000
14:22:41 INFO - zombiecheck | Reading PID log: c:\users\task_1556198553\appdata\local\temp\tmpxryqmppidlog
14:22:41 INFO - ==> process 3724 launched child process 3936 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.0.1430402521\1624565365" -childID 1 -isForBrowser -prefsHandle 2072 -prefMapHandle 2068 -prefsLen 1 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 2160 tab)
14:22:41 INFO - ==> process 3724 launched child process 4396 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.6.257124012\951903030" -childID 2 -isForBrowser -prefsHandle 2040 -prefMapHandle 2356 -prefsLen 159 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 2368 tab)
14:22:41 INFO - ==> process 3724 launched child process 5628 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.12.226509900\1206515376" -childID 3 -isForBrowser -prefsHandle 2384 -prefMapHandle 2532 -prefsLen 159 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 2544 tab)
14:22:41 INFO - ==> process 3724 launched child process 2796 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.18.2079151045\70235511" -childID 4 -isForBrowser -prefsHandle 3424 -prefMapHandle 3428 -prefsLen 8936 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 3440 tab)
14:22:41 INFO - ==> process 3724 launched child process 2512 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.24.235269605\1050090117" -childID 5 -isForBrowser -prefsHandle 3596 -prefMapHandle 3452 -prefsLen 10533 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 3704 tab)
14:22:41 INFO - ==> process 3724 launched child process 5216 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.30.1288016320\1674907447" -childID 6 -isForBrowser -prefsHandle 4064 -prefMapHandle 4004 -prefsLen 10250 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 4056 tab)
14:22:41 INFO - ==> process 3724 launched child process 4972 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.36.76818655\273118321" -childID 7 -isForBrowser -prefsHandle 3792 -prefMapHandle 3796 -prefsLen 10859 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 4056 tab)
14:22:41 INFO - ==> process 3724 launched child process 1720 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.42.1100935309\1438212729" -childID 8 -isForBrowser -prefsHandle 4376 -prefMapHandle 4372 -prefsLen 10250 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 4432 tab)
14:22:41 INFO - ==> process 3724 launched child process 1712 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.48.180414148\986590309" -childID 9 -isForBrowser -prefsHandle 4092 -prefMapHandle 3796 -prefsLen 10859 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 4504 tab)
14:22:41 INFO - ==> process 3724 launched child process 2076 ("Z:\task_1556198553\build\application\firefox\firefox.exe" -contentproc --channel="3724.54.984167323\1121088475" -childID 10 -isForBrowser -prefsHandle 4724 -prefMapHandle 4720 -prefsLen 10250 -prefMapSize 197445 -parentBuildID 20190425120037 -greomni "Z:\task_1556198553\build\application\firefox\omni.ja" -appomni "Z:\task_1556198553\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556198553\build\application\firefox\browser" - 3724 "\\.\pipe\gecko-crash-server-pipe.3724" 4520 tab)
14:22:41 INFO - zombiecheck | Checking for orphan process with PID: 3936
14:22:41 INFO - zombiecheck | Checking for orphan process with PID: 5216
14:22:41 INFO - zombiecheck | Checking for orphan process with PID: 2796
14:22:41 INFO - zombiecheck | Checking for orphan process with PID: 4396
14:22:41 INFO - zombiecheck | Checking for orphan process with PID: 2076
14:22:41 INFO - zombiecheck | Checking for orphan process with PID: 2512
14:22:41 INFO - zombiecheck | Checking for orphan process with PID: 4972
14:22:41 INFO - zombiecheck | Checking for orphan process with PID: 1720
14:22:41 INFO - zombiecheck | Checking for orphan process with PID: 1712
14:22:41 INFO - zombiecheck | Checking for orphan process with PID: 5628
14:22:41 INFO - mozcrash Downloading symbols from: https://queue.taskcluster.net/v1/task/GQSPZh7oSWStq450XBqM2A/artifacts/public/build/target.crashreporter-symbols.zip
14:22:44 INFO - mozcrash Copy/paste: Z:\task_1556198553\build\win32-minidump_stackwalk.exe c:\users\task_1556198553\appdata\local\temp\tmptdy2es.mozrunner\minidumps\918f4fd2-f9e8-4c69-af09-9e658475e417.dmp c:\users\task_1556198553\appdata\local\temp\tmpn2uxhw
14:22:59 INFO - mozcrash Saved minidump as Z:\task_1556198553\build\blobber_upload_dir\918f4fd2-f9e8-4c69-af09-9e658475e417.dmp
14:22:59 INFO - PROCESS-CRASH | devtools/client/netmonitor/test/browser_net_truncate-post-data.js | application crashed [None]
14:22:59 INFO - Crash dump filename: c:\users\task_1556198553\appdata\local\temp\tmptdy2es.mozrunner\minidumps\918f4fd2-f9e8-4c69-af09-9e658475e417.dmp
14:22:59 INFO - Operating system: Windows NT
14:22:59 INFO - 6.1.7601 Service Pack 1
14:22:59 INFO - CPU: x86
14:22:59 INFO - GenuineIntel family 6 model 63 stepping 2
14:22:59 INFO - 8 CPUs
14:22:59 INFO -
14:22:59 INFO - GPU: UNKNOWN
14:22:59 INFO -
14:22:59 INFO - No crash
14:22:59 INFO - Process uptime: 760 seconds
14:22:59 INFO -
14:22:59 INFO - Thread 0
14:22:59 INFO - 0 ntdll.dll!KiFastSystemCallRet + 0x0
14:22:59 INFO - eip = 0x771d70b4 esp = 0x0034f488 ebp = 0x0034f4e0 ebx = 0x0034f4f0
14:22:59 INFO - esi = 0x00000000 edi = 0x00000000 eax = 0x54e1c5b0 ecx = 0x00000327
14:22:59 INFO - edx = 0x000003e7 efl = 0x00000247
14:22:59 INFO - Found by: given as instruction pointer in context
14:22:59 INFO - 1 ntdll.dll!ZwWaitForKeyedEvent + 0xc
14:22:59 INFO - eip = 0x771d69f4 esp = 0x0034f48c ebp = 0x0034f4e0 ebx = 0x0034f4f0
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 2 ntdll.dll!RtlSleepConditionVariableSRW + 0xda
14:22:59 INFO - eip = 0x77194a1a esp = 0x0034f490 ebp = 0x0034f4e0 ebx = 0x0034f4f0
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 3 kernel32.dll!wcslen + 0xa4
14:22:59 INFO - eip = 0x761a2419 esp = 0x0034f4f8 ebp = 0x0034f514 ebx = 0x00e50000
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 4 mozglue.dll!mozilla::detail::ConditionVariableImpl::wait(mozilla::detail::MutexImpl &) [ConditionVariable_windows.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 50 + 0xe]
14:22:59 INFO - eip = 0x6a1792c1 esp = 0x0034f51c ebp = 0x0034f52c
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 5 xul.dll!struct already_AddRefed<nsIRunnable> mozilla::ThreadEventQueue<mozilla::PrioritizedEventQueue<mozilla::EventQueue> >::GetEvent(bool, mozilla::EventQueuePriority *) [ThreadEventQueue.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 149 + 0x3a]
14:22:59 INFO - eip = 0x50429329 esp = 0x0034f534 ebp = 0x0034f55c
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 6 xul.dll!nsThread::ProcessNextEvent(bool,bool *) [nsThread.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 1108 + 0x14]
14:22:59 INFO - eip = 0x5026800f esp = 0x0034f564 ebp = 0x0034fa44 ebx = 0x00e50001
14:22:59 INFO - esi = 0x0034f570 edi = 0x00000001
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 7 xul.dll!NS_ProcessNextEvent(nsIThread *,bool) [nsThreadUtils.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 486 + 0x11]
14:22:59 INFO - eip = 0x50267deb esp = 0x0034fa4c ebp = 0x0034fa68 ebx = 0x00e50000
14:22:59 INFO - esi = 0x0034fa5b edi = 0x00e012c0
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 8 xul.dll!void mozilla::ipc::MessagePump::Run(class base::MessagePump::Delegate *) [MessagePump.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 110 + 0xa]
14:22:59 INFO - eip = 0x50423690 esp = 0x0034fa70 ebp = 0x0034fa90 ebx = 0x00e50000
14:22:59 INFO - esi = 0x00e012b0
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 9 xul.dll!MessageLoop::RunHandler() [message_loop.cc:7a5177cca40350267da21fdd3dd0025a172db51f : 308 + 0x8]
14:22:59 INFO - eip = 0x5023f264 esp = 0x0034fa98 ebp = 0x0034fac8 ebx = 0x00e5c000
14:22:59 INFO - esi = 0x0034fbac edi = 0x00ea73a0
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 10 xul.dll!MessageLoop::Run() [message_loop.cc:7a5177cca40350267da21fdd3dd0025a172db51f : 290 + 0x5]
14:22:59 INFO - eip = 0x50267a41 esp = 0x0034fad0 ebp = 0x0034fae8 ebx = 0x00e5c000
14:22:59 INFO - esi = 0x00e0b100 edi = 0x00ea73a0
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 11 xul.dll!nsBaseAppShell::Run() [nsBaseAppShell.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 137 + 0xc]
14:22:59 INFO - eip = 0x50423555 esp = 0x0034faf0 ebp = 0x0034faf8
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 12 xul.dll!nsAppShell::Run() [nsAppShell.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 412 + 0x6]
14:22:59 INFO - eip = 0x50420ee0 esp = 0x0034fb00 ebp = 0x0034fb08 esi = 0x00ea73a0
14:22:59 INFO - edi = 0x00e5c000
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 13 xul.dll!XRE_RunAppShell() [nsEmbedFunctions.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 919 + 0x6]
14:22:59 INFO - eip = 0x543e1367 esp = 0x0034fb10 ebp = 0x0034fb20 esi = 0x00e012b0
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 14 xul.dll!mozilla::ipc::MessagePumpForChildProcess::Run(base::MessagePump::Delegate *) [MessagePump.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 238 + 0x5]
14:22:59 INFO - eip = 0x51d14528 esp = 0x0034fb28 ebp = 0x0034fb38 esi = 0x00e012b0
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 15 xul.dll!MessageLoop::RunHandler() [message_loop.cc:7a5177cca40350267da21fdd3dd0025a172db51f : 308 + 0x8]
14:22:59 INFO - eip = 0x5023f264 esp = 0x0034fb40 ebp = 0x0034fb70 ebx = 0x00e5c000
14:22:59 INFO - esi = 0x0034fbac edi = 0x00e5c000
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 16 xul.dll!MessageLoop::Run() [message_loop.cc:7a5177cca40350267da21fdd3dd0025a172db51f : 290 + 0x5]
14:22:59 INFO - eip = 0x50267a41 esp = 0x0034fb78 ebp = 0x0034fb90 ebx = 0x00e5c000
14:22:59 INFO - esi = 0x80004005 edi = 0x00e5c000
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 17 xul.dll!XRE_InitChildProcess(int,char * * const,XREChildData const *) [nsEmbedFunctions.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 757 + 0x5]
14:22:59 INFO - eip = 0x543e104e esp = 0x0034fb98 ebp = 0x0034fcac
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 18 xul.dll!nsresult mozilla::BootstrapImpl::XRE_InitChildProcess(int, char * *, const struct XREChildData *) [Bootstrap.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 67 + 0xe]
14:22:59 INFO - eip = 0x543e51d1 esp = 0x0034fcb4 ebp = 0x0034fcc0 ebx = 0x00e03040
14:22:59 INFO - esi = 0x0000001a edi = 0x00e07118
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 19 firefox.exe!static int content_process_main(class mozilla::Bootstrap *, int, char * *) [plugin-container.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 56 + 0xd]
14:22:59 INFO - eip = 0x009414bc esp = 0x0034fcc8 ebp = 0x0034fcf0
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 20 firefox.exe!static int NS_internal_main(int, char * *, char * *) [nsBrowserApp.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 263 + 0xa]
14:22:59 INFO - eip = 0x00941411 esp = 0x0034fcf8 ebp = 0x0034fd5c ebx = 0x00e030b0
14:22:59 INFO - esi = 0x0000001b edi = 0x00e03040
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 21 firefox.exe!wmain [nsWindowsWMain.cpp:7a5177cca40350267da21fdd3dd0025a172db51f : 131 + 0x12]
14:22:59 INFO - eip = 0x009410e2 esp = 0x0034fd64 ebp = 0x0034fd80 ebx = 0x00e030b0
14:22:59 INFO - esi = 0x0000007f edi = 0x00e03040
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 22 firefox.exe!static int __scrt_common_main_seh() [exe_common.inl : 288 + 0x1c]
14:22:59 INFO - eip = 0x0097a82c esp = 0x0034fd88 ebp = 0x0034fdc8 ebx = 0x7ffdf000
14:22:59 INFO - esi = 0x6a00f0b0 edi = 0x008e20e0
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 23 kernel32.dll!RtlMultiByteToUnicodeN + 0x73c
14:22:59 INFO - eip = 0x761c3c45 esp = 0x0034fdd0 ebp = 0x0034fdd4
14:22:59 INFO - Found by: call frame info
14:22:59 INFO - 24 ntdll.dll!__RtlUserThreadStart + 0x27
14:22:59 INFO - eip = 0x771f37f5 esp = 0x0034fddc ebp = 0x0034fe14
14:22:59 INFO - Found by: previous frame's frame pointer
14:22:59 INFO - 25 ntdll.dll!_RtlUserThreadStart + 0x1b
14:22:59 INFO - eip = 0x771f37c8 esp = 0x0034fe1c ebp = 0x0034fe2c
14:22:59 INFO - Found by: call frame info

I think the simplest fix is having CSS like this, so both the horizontal and vertical scrollbar will be visible:

.markdown-body pre {
  max-height: 600px;
}

Changing the height of the <pre> dynamically or inserting a floating scrollbar is possible but a bit complicated.

Let’s add max-height quickly. We can implement a floating scrollbar if needed after the page layout is changed.

Summary: Figure out a way to show a floating horizontal scrollbar for long Markdown comments → Limit the height of code in Markdown so the horizontal scrollbar can be found and used easily
Attached file GitHub Pull Request

Merged to master.

Status: ASSIGNED → RESOLVED
Closed: 8 months ago
Resolution: --- → FIXED

I’ve just realized that the Treeherder bot is not using a code block for the log part, e.g. Bug 1567186. Is this intentional? Well I can’t find backticks in :erahm’s PR.

Flags: needinfo?(erahm)

(In reply to Kohei Yoshino [:kohei] (Bugzilla UX) (FxSiteCompat) from comment #5)

I’ve just realized that the Treeherder bot is not using a code block for the log part, e.g. Bug 1567186. Is this intentional? Well I can’t find backticks in :erahm’s PR.

It's not intentional, I'm not sure how I forgot to add that part! I probably don't have time to work on that piece right now so if someone else want's to pick it up I wouldn't mind.

Flags: needinfo?(erahm)

Okay, here’s a PR to fix it 😄

Assignee: kohei.yoshino → nobody
Component: User Interface: Modal → User Interface
You need to log in before you can comment on or make changes to this bug.